Bug 1128426 - [RFE][RHEV-M webadmin] improve German translation.
Summary: [RFE][RHEV-M webadmin] improve German translation.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine
Version: 3.4.0
Hardware: All
OS: Linux
medium
medium
Target Milestone: ovirt-3.6.0-rc
: 3.6.0
Assignee: Nobody
QA Contact: Yuko Katabami
URL:
Whiteboard:
Depends On:
Blocks: 1218706
TreeView+ depends on / blocked
 
Reported: 2014-08-10 11:52 UTC by Ulhas Surse
Modified: 2019-05-20 11:27 UTC (History)
18 users (show)

Fixed In Version: 3.6.0-11
Doc Type: Enhancement
Doc Text:
With this release, the German translation has been reworked and improved.
Clone Of:
: 1218706 (view as bug list)
Environment:
Last Closed: 2016-03-09 20:36:05 UTC
oVirt Team: i18n


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2016:0376 normal SHIPPED_LIVE Red Hat Enterprise Virtualization Manager 3.6.0 2016-03-10 01:20:52 UTC
oVirt gerrit 40015 master MERGED webadmin, userportal: translations update (de-DE only) Never
oVirt gerrit 45495 master MERGED webadmin, userportal: translations update (de-DE only) Never
oVirt gerrit 45497 ovirt-engine-3.6 MERGED webadmin, userportal: translations update (de-DE only) Never

Description Ulhas Surse 2014-08-10 11:52:49 UTC
Description:

The German translation of RHEV-M is, sorry, just bad. Additionally using a language aside of English breaks also functionalities, see https://bugzilla.redhat.com/show_bug.cgi?id=1128062. Further on the English front-end is more helpful regarding comparison/phrasings with documentation and support.

There could be a new configuration file setting in /usr/share/ovirt-engine/services/ovirt-engine/ovirt-engine.conf (or whatever is more suitable for Red Hat Enterprise Linux Virtualization Manager Web Administration) with e.g. ENGINE_LANG=en_US - and if that option is set the language can not be changed any-more in front-end.

Comment 2 Einav Cohen 2014-08-11 16:14:40 UTC
(In reply to Ulhas Surse from comment #0)
> Description:
> 
> The German translation of RHEV-M is, sorry, just bad. 

I will follow up with the RHEV translation team. 

> Additionally using a
> language aside of English breaks also functionalities, see
> https://bugzilla.redhat.com/show_bug.cgi?id=1128062. 

This should not happen - this is indeed a bug, and once resolved - the specified functionality should work with all locales. 
if there are additional functionalists that are working well in English but are broken in other locales - please report each one of them in a BZ, and we will take care of these problems. 

> Further on the English
> front-end is more helpful regarding comparison/phrasings with documentation
> and support.

I will follow up with the product stakeholders on this. 

> 
> There could be a new configuration file setting in
> /usr/share/ovirt-engine/services/ovirt-engine/ovirt-engine.conf (or whatever
> is more suitable for Red Hat Enterprise Linux Virtualization Manager Web
> Administration) with e.g. ENGINE_LANG=en_US - and if that option is set the
> language can not be changed any-more in front-end.

German is currently considered a supported language in RHEV; 
therefore, if any problems are encountered with the German support, we should do everything that we can in order to resolve these problems, or completely remove German as a supported language in RHEV. 

adding an ability to hide *supported* languages doesn't sound like a good idea to me - but I will follow up with the product stakeholders on that.

Comment 3 Einav Cohen 2014-08-15 15:37:04 UTC
Isaac - once you have straighten out all of the existing issues with the German translations in Zanata - can you please make sure that this BZ is moved to POST?

thanks.

Comment 28 Einav Cohen 2015-05-05 15:51:15 UTC
this BZ is for tracking improving the German translation. 
Any other request (choosing default locale / hiding supported locale / ...) should be tracked via a separate BZ, if there is a real value to that request. 

BTW, please keep in mind that once a user has chosen a locale in the welcome-page/one of the login pages, this locale will be selected by default the next times that the user will attempt to access the system, since we persist it in the browser storage; therefore adding an additional way in which the user can select a default locale for himself is completely unnecessary IMO.

Comment 31 Yuko Katabami 2015-08-21 07:27:50 UTC
Hi Einav and all,

I am pleased to inform you that our German translators have intensively worked on further improvement in the translation quality and the task is now complete.

Kind regards,

Yuko

Comment 32 Yuko Katabami 2015-08-28 08:52:50 UTC
Hi Einav,

Additional workload in the ovirt-3.5 version has been completed.
Translations are ready to pull from Zanata.
Please let me know if you have any issues.

Kind regards,

Yuko

Comment 33 Einav Cohen 2015-08-28 15:48:39 UTC
Thanks, Yuko. 
The 3.5 German translation improvement is tracked via bug 1218706. 
This BZ tracks those parallel improvements for 3.6. 
To be on the safe side, I will pull the updated translations from the 'master' version in Zanata one more time, to ensure that the 3.6 German translation status is completely up-to-date.

Comment 34 Einav Cohen 2015-08-30 12:34:23 UTC
some leftover German translations need to be pulled - moving back to POST.

Comment 35 Satyabrata Maitra 2015-12-08 09:07:04 UTC
I have checked this issue for De_DE(German).
German interface has been improved with its translations. As I am not a native German speaker, so, can not check the quality of translation, but I can see the interface is mostly translated. The language list in the Login screen is also translated for every supported language, including German.

So, considering this bug as FIXED as of now.

Version of the component tested : 
Red Hat Enterprise Virtualization Manager-3.6.1.1-0.1.el6

I have checked the translation statistics in zanata, and it shows rhevm-3.6 is 100% translated for de_DE.
Reference : https://translate.zanata.org/zanata/iteration/view/rhevm-branding/rhevm-3.6/languages/de

Moving it to VERIFIED as of now.

Comment 38 errata-xmlrpc 2016-03-09 20:36:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHEA-2016-0376.html


Note You need to log in before you can comment on or make changes to this bug.